package com.pavis.admin.aigc.core.agent.tool;

import lombok.Data;

/**
 * 工具执行结果
 */
@Data
public class ToolExecuteResult {

    public ToolExecuteResult() {
    }

    public ToolExecuteResult(String output) {
        this.output = output;
    }

    public ToolExecuteResult(String output, Boolean interrupted) {
        this.output = output;
        this.interrupted = interrupted;
    }

    /**
     * 工具返回的内容
     */
    private String output;

    /**
     * 是否中断
     */
    private Boolean interrupted;

}
